<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="box no-border">
    <div class="box-header with-border">
        <h3 class="box-title">
            <span ng-repeat="class in $ctrl.step.classes" title="{{ class.getUri() }}">
                {{ class.getPreferedLabel() }}<span ng-show="!$last">,&nbsp;</span>
            </span>
            <!--<small ng-show="$ctrl.class.isSubclass">(peut-être spécifiquement)</small>-->
            <!--<small ng-show="$ctrl.class.isSuperclass">(est également)</small>-->
        </h3>
        <!-- /.box-tools -->
        <div class="box-tools pull-right" ng-show="$ctrl.isImportExportEnable()">
            <button class="btn btn-box-tool" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                <i class="fa fa-caret-down"></i>
            </button>
            <ul class="dropdown-menu">
                <li><a class="p-l-10 p-r-10 text-sm" href="" ng-click="$ctrl.export()"><i class="fa fa-download"></i> Exporter les règles</a></li>
                <li><a class="p-l-10 p-r-10 text-sm" href="" ng-click="$ctrl.import()"><i class="fa fa-upload"></i> Importer des règles</a></li>
            </ul>
        </div>
    </div>
    <!-- /.box-header -->
    <div class="box-body no-padding" ng-show="($ctrl.step.steps|array).length">
        <div class="list-group no-margin">
            <a ng-repeat="step in $ctrl.step.steps|array|orderBy:'property.priority || 0':true" href="" ng-click="$ctrl.navigator.navigateTo(step)" class="list-group-item default" ng-class="$ctrl.getCSSClasses(step)">

                <span ng-repeat="domain in step.domains|filter: $ctrl.excludeDomain()" class="pull-right">
                    <span class="label label-info" title="{{ domain.getUri() }}">
                        {{ domain.getPreferedLabel() }}
                    </span>
                </span>

                <!-- icon -->
                <span class="fa fa-fw" title="{{ $ctrl.getStepStatus(step).message }}"></span>

                <!-- label -->
                <strong title="{{ step.property.getUri() }}">{{ step.property.getPreferedLabel() }}</strong>

                <!-- ranges -->
                <span ng-repeat="range in step.property.getRanges()">
                    &nbsp;<span class="label label-default" title="{{ range.getUri() }}">{{ range.getPreferedLabel()  }}</span>
                </span>

                <!-- comment -->
                <small ng-show="step.property.getComment()" class="text-muted"><br>{{ step.property.getComment() }}</small>

            </a>
        </div>
    </div>

    <div class="box-body p-t-5 p-b-5 p-l-15" ng-show="!($ctrl.step.steps|array).length">
        <span class="text-sm text-muted">Cette classe n'a aucune propriété directement associée.</span>
    </div>
</div>